# Manual de &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;

&traductor.Antoni.Bella;

2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
2010
2011
&Kurt.Hindenburg;
&FDLNotice;
05-02-2011
2.7.0

&konsole; és l'emulador de terminal de &kde;.

KDE
konsole
kdebase
ordre
línia
terminal
cli

## Introducció

### Què és un terminal?

&konsole; és un emulador de terminal X, sovint referit com un terminal o shell. Emula una interfície de línia d'ordres en una finestra de només text.

Explicar l'ús de la CLI de &UNIX; està fora de l'abast d'aquest document. Una cerca a la web d'aquests termes donen més informació.

### Història

&konsole; utilitza la noció de desplaçar enrere per a permetre a l'usuari veure la sortida mostrada anteriorment. Per omissió, el desplaçament enrere està activat i establert a desar 1.000 línies de la sortida, a més del que es mostra actualment a la pantalla. Segons les línies es van desplaçant fora de la part superior de la pantalla, es poden tornar a veure movent la barra de desplaçament cap a amunt, movent la roda del ratolí o usant les tecles &Maj;RePàg (per anar una pàgina enrere), &Maj;AvPàg (per anar una pàgina endavant), &Maj;Cursor amunt (per anar una línia amunt) i &Maj;Cursor avall (per anar una línia avall).

Quan la Història està activada, com a norma general es suspenen tant la sortida com l'entrada de l'intèrpret d'ordres, i us podeu moure al llarg de l'historial amb les tecles RePàg, AvPàg, Cursor amunt i Cursor avall.

### Perfils

Els perfils permeten a l'usuari ràpida i fàcilment automatitzar l'execució d'ordres comuns. Com exemples es poden incloure:

- ssh en una altra màquina.

- Començar una sessió d'irc.

- Ús de «tail» per a veure un fitxer.

Procediment per a crear un nou perfil:

1. Feu clic sobre l'entrada del menú Arranjament Configura els perfils... .

2. Feu clic sobre el botó Perfil nou....

3. Ompliu la primera entrada amb un nom. Aquest és el nom que es mostrarà en el menú, i serà l'etiqueta usada en comptes de Shell quan inicieu una sessió d'aquest tipus.

4. Introduïu una ordre de la mateixa manera en que ho faríeu si obríssiu un nou terminal i escriviu l'ordre. Per al nostre primer exemple, escriviu ``ssh` administració`.

5. Sobre les altres pestanyes del diàleg, configureu l'aparença d'aquesta sessió. Podeu configurar diferents tipus de lletra, esquemes de color, tipus de $`TERM` i moltes altres opcions per a cada sessió.

6. Premeu el botó Bé. Ara restarà disponible la nova sessió en el diàleg Gestió de perfils....

Després de crear els perfils, que s'enumeren pel seu nom al menú Fitxer Pestanya nova sota l'element Intèrpret d'ordres per omissió.

### Botons del ratolí

Aquesta secció detalla la utilització dels botons del ratolí per a dretans. Per a esquerrans, canvieu els botons esquerra i dret en el text que segueix.

Esquerra

  Tots els clics amb el &BER; s'envien a l'aplicació executada en &konsole;. Si una aplicació pot reaccionar als clics del ratolí, &konsole; ho indica mostrant una fletxa de cursor. Si no, mostra un cursor amb forma de I (una barra).

  Mantenint premut el &BER; i arrossegant el punter per la pantalla amb una aplicació que no suporti l'ús del ratolí seleccionareu una regió del text. Mentre s'arrossega, el text marcat es mostra ressaltat per a que es vegi millor. Seleccioneu Copia des del menú Edita per a copiar el text marcat al porta-retalls i que es pugui usar més tard amb &konsole; o una altra aplicació. El text seleccionat pot ser arrossegat i deixat en aplicacions compatibles. Feu clic sobre el text seleccionat i arrossegueu-lo cap a la localització desitjada. Depenent de la configuració de &kde;, potser us caldrà mantenir premuda la tecla &Ctrl; mentre arrossegueu.

  Normalment, s'inseriran caràcters de salt de línia al final de cada línia seleccionada. Això és millor per a tallar codi font, o la sortida d'una ordre en particular. Per a text normal, els salts de línia no solen ser importants. A vegades un preferiria que el text fos una cadena de caràcters que es formati automàticament al enganxar-los en una altra aplicació. Per a seleccionar el mode de text com a cadena, manteniu premuda la tecla &Ctrl; mentre continueu seleccionant normalment.

  Prement les tecles &Ctrl; i &Alt; a la vegada que el &BER; seleccionareu una columna de text.

  Doble clic amb el &BER; per a seleccionar una paraula. Triple clic per a seleccionar una línia sencera.

  Si s'abasta la vora superior o inferior de l'àrea de text mentre s'està seleccionant, el &konsole; farà un desplaçament amunt o avall, exposant finalment el text de la memòria del cau. El desplaçament s'atura quan el ratolí s'atura.

  Després de deixar anar el botó del ratolí, &konsole; intenta mantenir el text en el porta-retalls visible mantenint per a això ressaltada l'àrea seleccionada. L'àrea marcada es tornarà normal tan aviat com s'alteri el contingut del porta-retalls, es modifiqui el text de l'àrea marcada o es faci clic amb el &BER;.

  Per a marcar text en una aplicació amb suport de ratolí (per exemple, Midnight Commander), s'ha de fer clic mentre es prem a la vegada la tecla &Maj;.

Mig

  Prement el &BMR; s'enganxa el text actual en el porta-retalls. Mantenint premuda la tecla &Ctrl; mentre es prem el &BMR; s'enganxa el text i s'envia a &konsole;.

  Si teniu un ratolí amb tan sols dos botons, al prémer ambdós a la vegada s'emula el &BMR; d'un ratolí amb tres botons.

  Si teniu una roda en comptes d'un botó central, a &konsole; la podeu emprar per a moure la barra de desplaçament.

Dreta

  Aquests elements apareixen en el menú quan es prem el &BDR;: Copia, Enganxa, Obre el gestor de fitxers, Estableix la codificació, Neteja la història, Configura la història..., Mostra barra de menú, Canvia el perfil, Configura el perfil actual... i Tanca la pestanya.

  En una aplicació amb suport de ratolí, prémer la tecla &Maj; a la vegada que el &BDR; per a que aparegui el menú emergent.

## Referència d'ordres

### La barra de menús

La barra de menús es troba a la part superior de la finestra de &konsole;. Si el menú està ocult, es pot arribar a Mostra barra de menú mitjançant un clic dret en la finestra (sempre que no hi hagi una aplicació a pantalla completa en aquesta finestra, com «vi», «minicom», &etc;). La drecera per omissió es llista després de cada element de menú.

#### El menú Fitxer

&Ctrl;&Maj;N Fitxer Finestra nova

  Obre una nova finestra de &konsole; amb el perfil per omissió.

&Ctrl;&Maj;T Fitxer Pestanya nova

  Obre una nova pestanya amb el perfil per omissió.

  &konsole; ve amb el perfil Shell per omissió. Qualsevol nou perfil afegit per l'usuari serà llistat al submenú.

&Ctrl;&Maj;W Fitxer Tanca la pestanya

  Tanca la pestanya actual.

Fitxer Desa la sortida com a...

  Desa l'historial actual com a un fitxer de text o html.

Fitxer Obre el gestor de fitxers

  Obre el gestor de fitxers del &kde; al directori actual. Per omissió, aquest és &dolphin;.

&Ctrl;&Maj;Q Fitxer Surt

  Surt de &konsole;.

  &konsole; mostrarà una finestra si hi ha més d'una pestanya oberta. Aquesta finestra es pot desactivar fent clic a la caixa de selecció No tornis a preguntar.

#### El menú Edita

&Ctrl;&Maj;C Edita Copia

  Copia el text seleccionat al porta-retalls.

&Ctrl;&Maj;V Edita Enganxa

  Enganxa text des del porta-retalls a la localització del cursor.

Edita Copia l'entrada a Totes les pestanyes en la finestra actual

  Permet l'entrada des de la sessió actual per a enviar-la simultàniament a totes les sessions en la finestra actual.

&Ctrl;&Maj;. Edita Copia l'entrada a Selecciona pestanyes...

  Permet l'entrada des de la sessió actual per a enviar-la simultàniament a les sessions triades per l'usuari.

&Ctrl;&Maj;/ Edita Copia l'entrada a Cap

  Atura el enviar l'entrada a les altres sessions.

&Ctrl;&Alt;S Edita Reanomena la pestanya...

  Obre un diàleg que us permetrà canviar el nom de la pestanya actual (més informació).

&Ctrl;&Alt;U Edita Envia per ZModem...

  Obre un diàleg per a seleccionar un fitxer per a ser enviat si el programari necessari està instal·lat.

&Ctrl;&Maj;F Edita Cerca...

  Obre una barra de cerca a la part inferior de la finestra de &konsole;.

  Permet entre majúscules i minúscules, cap endavant o cap enrere, i les cerques amb expressions regulars.

F3 Edita Cerca següent

  Mou a la següent instància de la cerca.

&Maj;F3 Edita Cerca anterior

  Mou a l'anterior instància de la cerca.

#### El menú Visualitza

&Ctrl;( Visualitza Divideix la vista Divideix la vista esquerra/dreta

  Divideix totes les pestanyes en vistes esquerra i dreta.

  Qualsevol sortida en una vista serà duplicada en les altres.

&Ctrl;) Visualitza Divideix la vista Divideix la vista superior/inferior

  Divideix totes les pestanyes en vistes superior i inferior.

  Qualsevol sortida en una vista serà duplicada en les altres.

&Ctrl;&Maj;S Visualitza Divideix la vista Tanca les actives

  Tanca la vista actual.

&Ctrl;&Maj;O Visualitza Divideix la vista Tanca les altres

  Tanca la vista no actual.

&Ctrl;&Maj;] Visualitza Divideix la vista Expandeix la vista

  Fa més gran la vista actual.

&Ctrl;&Maj;[ Visualitza Divideix la vista Redueix la vista

  Fa més petita la vista actual.

&Ctrl;&Maj;H Visualitza Separa la pestanya actual

  Obre la pestanya actual en una finestra a part.

  Sortir de la finestra anterior de &konsole; no afectarà a la finestra que s'acaba de crear.

&Ctrl;&Maj;I Visualitza Vigila el silenci

  Alterna la vigilància de la pestanya actual per a la manca d'activitat.

  Per omissió, després de 10 segons d'inactivitat, apareixerà una icona informativa a la pestanya de la sessió. El tipus d'alertes es pot canviar a través de Arranjament Configura notificacionsSilenci en una sessió controlada.

&Ctrl;&Maj;A Visualitza Vigila l'activitat

  Alterna la vigilància de la pestanya actual per a l'activitat.

  Sobre qualsevol activitat, apareixerà una icona informativa a la pestanya de la sessió. El tipus d'alertes es pot canviar a través de Arranjament Configura notificacionsActivitat en una sessió controlada.

&Ctrl;+ Visualitza Augmenta el tipus de lletra

  Augmenta la mida del tipus de lletra del text.

&Ctrl;- Visualitza Minva el tipus de lletra

  Minva la mida del tipus de lletra del text.

Visualitza Estableix la codificació

  Estableix la codificació de caràcters.

Visualitza Neteja la història

  Esborra el text en l'historial.

&Ctrl;&Maj;X Visualitza Neteja la història i reinicia

  Esborra el text en la pestanya actual i en l'historial, i reinicia el terminal.

#### El menú Adreces d'interès

&Ctrl;&Maj;B Adreces d'interès Afegeix una adreça d'interès

  Afegeix la ubicació actual.

Adreces d'interès Pestanyes d'adreces d'interès com a carpeta...

  Afegeix totes les pestanyes a una carpeta d'adreces d'interès.

  S'obrirà un diàleg per al nom de la carpeta per a les adreces d'interès.

Adreces d'interès Nova carpeta d'adreces d'interès...

  Afegeix una nova carpeta a la llista d'adreces d'interès.

  S'obrirà un diàleg per al nom de la carpeta per a les adreces d'interès.

Adreces d'interès Edita les adreces d'interès

  Obre l'editor d'adreces d'interès.

  Podeu usar l'editor d'adreces d'interès per afegir manualment els &URL;. Actualment &konsole; accepta els següents:

  - ssh://usuari@màquina:port

  - telnet://usuari@màquina:port

#### El menú Arranjament

Arranjament Configura els perfils...

  Obre un editor per a la gestió de perfils.

&Ctrl;&Maj;M Arranjament Mostra barra de menú

  Canvia la visibilitat de la barra de menús.

Arranjament Mode de pantalla completa

  Alterna &konsole; per omplir tota la pantalla.

Arranjament Configura dreceres...

  Obre l'editor de dreceres de teclat.

Arranjament Configura notificacions...

  Obre l'editor de notificacions.

#### El menú Ajuda

&help.menu.documentation;

### El diàleg per a reanomenar la pestanya

El nom de la pestanya actual es pot canviar des d'aquest diàleg. El diàleg es pot mostrar a través del menú, la drecera &Ctrl;&Alt;S o fent doble clic sobre la pestanya a la barra de pestanyes. Aquests canvis poden ser permanents editant el perfil actual.

&konsole; substituirà aquestes parts:

- %n: Nom del programa.

- %d: Directori actual (curt).

- %D: Directori actual (llarg).

- %w: Títol de finestra establert per l'intèrpret d'ordres.

- %#: Número de sessió.

- %u: Nom d'usuari.

Exemples:

- `%d : %n` amb /usr/src com directori actual i executant bash es mostrarà usr/s : bash.

- `%D : %n` amb /usr/src com directori actual i executant top es mostrarà /usr/src : top.

- `%w (%#)` amb ~ com directori actual i executant vim en la primera pestanya es mostrarà [NoName] (~) - VIM(1).

### El diàleg copia l'entrada

El text introduït en una pestanya pot ser enviat simultàniament a altres pestanyes. Aquest diàleg us permet seleccionar quines pestanyes rebran aquesta entrada. La pestanya actual restarà en gris.

### El diàleg opcions de la història

L'opció Historial per a la grandària d'aquest es pot canviar en aquest diàleg. També hi ha una caixa de selecció per a desar aquests ajustaments per al perfil actual.

## Opcions de la línia d'ordres

Quan s'inicia &konsole; des de la línia d'ordres, es poden especificar diverses opcions per a modificar el seu comportament.

`--help`

  Llista les diverses opcions.

`--profile` `fitxer`

  Inicia &konsole; usant un conjunt desat de sessions.

`--list-profiles`

  Llista tots els perfils disponibles.

`--background-mode`

  Inicia el &konsole; en segon pla i el fa venir al davant quan es prem la tecla F12.

`--new-tab`

  Crea una pestanya nova en una finestra existent abans de crear una finestra nova.

`--tabs-from-file` `fitxer`

  Crea pestanyes com s'especifica al fitxer de configuració de pestanyes indicat.

  El fitxer té una pestanya per cada línia en el següent format:

  Títol: Aquest és el títol;; ordre: executa'm

`--workdir` `dir`

  Obre amb `dir` com a directori de treball (inicial).

`--notransparency`

  Deshabilita els fons transparents, encara que el sistema els permeti.

`--force-transparency`

  Intenta habilitar els fons transparents, encara que el sistema sembli no permetre'ls.

`--hold, --noclose`

  No tanca la sessió inicial automàticament quan finalitzi.

`-p` `property=valor`

  Canvia el valor d'una propietat del perfil.

`-e` `ordre`

  Executa `ordre` en comptes de l'intèrpret d'ordres normal.

  Qualsevol argument després de `ordre` serà passat a `ordre`, no a &konsole;.

&konsole; també accepta opcions genèriques de &Qt; i de &kde;:

`--help-qt`

  Llista les opcions específiques de &Qt;.

Les següents opcions de &Qt; no tenen efecte sobre &konsole;:

`--fn`, `--font` `nom_tipus_de_lletra`

  Defineix el tipus de lletra de l'aplicació.

`--bg`, `--background` `color`

  Estableix el color de fons per omissió.

`--fg`, `--foreground` `color`

  Estableix el color de primer pla per omissió.

`--btn`, `--button` `color`

  Estableix el color per omissió del botó.

`--help-kde`

  Llista les opcions específiques de &kde;.

`--help-all`

  Llista totes les opcions.

`--author`

  Mostra els noms dels autors.

`-v,--version`

  Mostra el número de versió.

`--license`

  Mostra informació de llicència.

## Crear scripts per a &konsole;

Per a &kde; 4, l'antiga &DCOP; ha estat substituïda per &DBus;. &konsole; té suport per a nombrosos mètodes que es poden utilitzar amb &DBus;.

Hi ha dues maneres d'utilitzar la interfície de &DBus;: L'&IGU; de &Qt; és dbusviewer i la línia d'ordres qdbus.

Exemples:

- &percnt; `qdbus` mostrarà tots els serveis disponibles.

- &percnt; `qdbus` `org.kde.konsole` mostrarà la interfície &DBus; per a &konsole;.

- &percnt; `qdbus` `org.kde.konsole /Konsole` mostrarà els mètodes per al control de la finestra principal de &konsole;.

- &percnt; `qdbus` `org.kde.konsole /Sessions/1` mostrarà els mètodes per a la sessió 1.

Si inicieu &konsole; des d'un terminal potser necessitareu canviar `org.kde.konsole` per `org.kde.konsole-`pidof -s konsole``.

Per a més informació, si us plau, visiteu La guia d'aprenentatge de &DBus;.

## Sabíeu que? Qüestions comuns i més

### Sabíeu que?

- En prémer &Ctrl; mentre es selecciona text farà que els canvis de línia es converteixin en espais quan l'enganxeu.

- Prement les tecles &Ctrl;&Alt; mentre se selecciona text se seleccionaran columnes.

- Quan un programa avalua qualsevol dels botons del ratolí, prement la tecla &Maj; farà aparèixer el menú emergent.

- La drecera &Ctrl;&Maj;F10 activarà el menú.

- Les tecles &Maj;Insert l'inseriran en el porta-retalls.

- En fer doble clic se selecciona una paraula sencera. Si es continua prement el botó del ratolí i movent el ratolí s'estendrà la selecció.

- En fer triple clic se selecciona una línia sencera Si es continua prement el botó del ratolí i movent el ratolí s'estendrà la selecció.

### Qüestions comuns

- Per omissió quan s'arrenca des d'un terminal, &konsole; s'executa en segon pla. Utilitzeu `--nofork` per a forçar que &konsole; s'executi en primer pla.

  Això és necessari per alguns scripts i ordres per treballar com s'espera:

  - `konsole --nofork -e sleep 3 ; echo 1`

  - `kdesu -u usuari_kde konsole --nofork`

- En KDE3, cada pestanya tenia el seu propi procés d'identificació. No obstant, en KDE4 totes les pestanyes utilitzen el mateix identificador de procés. Això té l'efecte secundari que si el procés d'una pestanya té problemes, totes les altres també en poden tenir.

  Això és més notori quan una ordre que es connecta a un dispositiu extern o un sistema (ssh, nfs) té problemes.

## Crèdits i llicència

&konsole; actualment és mantinguda per &Robert.Knight; &Robert.Knight.mail;

Anteriorment, &konsole; ha estat mantinguda per en &Kurt.Hindenburg; &Kurt.Hindenburg.mail; i &Waldo.Bastian; &Waldo.Bastian.mail;

L'aplicació &konsole; Copyright © 1997-2008 &Lars.Doelle; &Lars.Doelle.mail;

Aquest document ha estat escrit per en &Jonathan.Singer; &Jonathan.Singer.mail;

Aquest document ha estat actualitzat per a &kde; 3.4 per en &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Aquest document ha estat actualitzat per a &kde; 4.1 per en &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Convertit originalment a DocBook SGML per en &Mike.McBride; i &Lauri.Watts;

Traductor/Revisor de la documentació: &credits.Antoni.Bella;

&underFDL; &underGPL;

## Enllaços

Per a més informació, si us plau, visiteu aquests llocs web:

- La pàgina web de &konsole; a UserBase &kde;

- Pàgina web de &konsole;

- Llista de correu de &konsole;

- &kde; a FreeBSD

- &kde; a Solaris

&documentation.index;